# Class BshClassPath.ClassSource

java.lang.Object
bsh.classpath.BshClassPath.ClassSource

Direct Known Subclasses:
  `BshClassPath.DirClassSource, BshClassPath.GeneratedClassSource, BshClassPath.JarClassSource`

Enclosing class:
  `BshClassPath`

public abstract static class BshClassPath.ClassSource extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassSource()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassSource

public ClassSource()